Bug 71374 - Remove initCloseEvent method
Summary: Remove initCloseEvent method
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dominic Cooney
URL:
Keywords:
Depends on:
Blocks: 68791
  Show dependency treegraph
 
Reported: 2011-11-02 10:14 PDT by Dominic Cooney
Modified: 2011-11-07 10:05 PST (History)
3 users (show)

See Also:


Attachments
Patch (8.10 KB, patch)
2011-11-02 11:09 PDT, Dominic Cooney
no flags Details | Formatted Diff | Diff
Patch (10.05 KB, patch)
2011-11-05 15:04 PDT, Dominic Cooney
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Cooney 2011-11-02 10:14:15 PDT
The CloseEvent.initCloseEvent method was removed from the WebSockets spec; it has been replaced with a constructor: <http://www.whatwg.org/specs/web-apps/current-work/multipage/network.html#closeevent> Code Search doesn't show any uses of this method <http://codesearch.google.com/#search/&q=initCloseEvent%20lang:js&type=cs>. We should remove it.
Comment 1 Dominic Cooney 2011-11-02 11:09:49 PDT
Created attachment 113338 [details]
Patch
Comment 2 Ojan Vafai 2011-11-02 11:28:13 PDT
Comment on attachment 113338 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=113338&action=review

> Source/WebCore/websockets/CloseEvent.h:63
>      void initCloseEvent(const AtomicString& type, bool canBubble, bool cancelable, bool wasClean, unsigned short code, const String& reason)

Can we move this into the CloseEvent constructor and get rid of the canBubble/cancelable arguments since they are always false in the one place initCloseEvent is currently called? If there's a reason this is especially complicated, I'm OK with the patch as is and I'll r+ it. For now r-.
Comment 3 Dominic Cooney 2011-11-05 15:04:48 PDT
Created attachment 113763 [details]
Patch
Comment 4 WebKit Review Bot 2011-11-07 10:05:07 PST
Comment on attachment 113763 [details]
Patch

Clearing flags on attachment: 113763

Committed r99438: <http://trac.webkit.org/changeset/99438>
Comment 5 WebKit Review Bot 2011-11-07 10:05:12 PST
All reviewed patches have been landed.  Closing bug.